Subject: RE: [Dime]: A Potential Issue with the New Text for RFC 3558bis

From: "Dan Warren" <[email-masked]>
Date: Tue, 6 Nov 2007 16:34:53 -0000

Hmmmm I sense you may have been mocking me :-)

On the flip side though, if you don't live in this delusional state, who
do you ever trust?  Within a single operator, if I have to deploy IPSec
or TLS to protect against one of my own employees corrupting my network,
that is a pretty sorry state (albeit delusional).  And then who says you
trust the guy configuring the IPSec or TLS?  Does the CEO wander round
with a gun to the Network Management operatives head?

It smacks slightly of paranoia, which I guess was my point in the first
place.  I am talking about a totally contained Diameter
implementation... To mandate IPSec and/or TLS as a pre-requisite just
puts in place a requirement that is going to get ignored by a whole
bunch of implementations, so why not deal with reality in the document
rather than your 'non-delusional' view point...?

Dan

> -----Original Message-----
> From: Glen Zorn [mailto:[email-masked]] 
> Sent: 05 November 2007 20:58
> To: Dan Warren; 'Victor Fajardo'; 'Thomas Lindgren'
> Cc: [email-masked]
> Subject: RE: [Dime]: A Potential Issue with the New Text for 
> RFC 3558bis
> 
> Just an observation...
> 
> Doesn't all of the below not countenance for the possibility 
> of a Diameter implementation within a single domain (ie where 
> security is actually not an issue)?  So if I were take an 
> example of an Accounting application between a device a 
> charging system within a single network, do I need any form 
> of security at all?
> [gwz]
> Of course not!  The service providers are our friends, 
> totally dedicated only to supplying the highest possible 
> quality of service & all of their employees are utterly 
> trustworthy & incorruptible.
> [/gwz]
> 
> Perhaps what is needed is a description of the context within 
> which security is required - Diameter interactions without 
> underlying or inherent security.  I certainly see no need for 
> a security mechanism for something like 
> Diameter-SIP-Application when deployed in a single network, 
> as an example.
> [gwz]
> See above; repeat as necessary until delusion is complete.
> [/gwz]
> ...
> 
> 
> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dime
> 
> 

Forthcoming GSMA Events:
 
GSMA Mobile Asia Congress
Macau
12 - 15 November 2007
www.mobileasiacongress.com
 
GSMA Mobile World Congress
Barcelona
11 - 14 February 2008
www.mobileworldcongress.com

This email and its attachments are intended for the above named only and may be confidential. If they have come to you in error you must take no action based on them, nor must you copy or show them to anyone; please reply to this email or call +44 207 759 2300 and highlight the error

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime